# BackupsApi

All URIs are relative to *<https://api.ionos.com/databases/postgresql>*

| Method                                                              | HTTP request                          | Description             |
| ------------------------------------------------------------------- | ------------------------------------- | ----------------------- |
| [**cluster\_backups\_get**](#cluster_backups_get)                   | **GET** /clusters/{clusterId}/backups | List backups of cluster |
| [**clusters\_backups\_find\_by\_id**](#clusters_backups_find_by_id) | **GET** /clusters/backups/{backupId}  | Fetch a cluster backup  |
| [**clusters\_backups\_get**](#clusters_backups_get)                 | **GET** /clusters/backups             | List cluster backups    |

## cluster\_backups\_get

> cluster\_backups\_get(cluster\_id, opts)

List backups of cluster

Retrieves a list of all backups of the given PostgreSQL cluster.

### Examples

```ruby
require 'time'
require 'ionoscloud-dbaas-postgres'
# setup authorization
IonoscloudDbaasPostgres.configure do |config|
  # Configure HTTP basic authorization: basicAuth
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'

  # Configure API key authorization: tokenAuth
  config.api_key['Authorization'] = 'YOUR API KEY'
  # Uncomment the following line to set a prefix for the API key, e.g. 'Bearer' (defaults to nil)
  # config.api_key_prefix['Authorization'] = 'Bearer'
end

api_instance = IonoscloudDbaasPostgres::BackupsApi.new
cluster_id = 'cluster_id_example' # String | The unique ID of the cluster.
opts = {
  limit: 100, # Integer | The maximum number of elements to return. Use together with 'offset' for pagination.
  offset: 200 # Integer | The first element to return. Use together with 'limit' for pagination.
}

begin
  # List backups of cluster
  result = api_instance.cluster_backups_get(cluster_id, opts)
  p result
rescue IonoscloudDbaasPostgres::ApiError => e
  puts "Error when calling BackupsApi->cluster_backups_get: #{e}"
end
```

#### Using the cluster\_backups\_get\_with\_http\_info variant

This returns an Array which contains the response data, status code and headers.

> \<Array(, Integer, Hash)> cluster\_backups\_get\_with\_http\_info(cluster\_id, opts)

```ruby
begin
  # List backups of cluster
  data, status_code, headers = api_instance.cluster_backups_get_with_http_info(cluster_id, opts)
  p status_code # => 2xx
  p headers # => { ... }
  p data # => <ClusterBackupList>
rescue IonoscloudDbaasPostgres::ApiError => e
  puts "Error when calling BackupsApi->cluster_backups_get_with_http_info: #{e}"
end
```

### Parameters

| Name            | Type        | Description                                                                          | Notes                        |
| --------------- | ----------- | ------------------------------------------------------------------------------------ | ---------------------------- |
| **cluster\_id** | **String**  | The unique ID of the cluster.                                                        |                              |
| **limit**       | **Integer** | The maximum number of elements to return. Use together with 'offset' for pagination. | \[optional]\[default to 100] |
| **offset**      | **Integer** | The first element to return. Use together with 'limit' for pagination.               | \[optional]\[default to 0]   |

### Return type

[**ClusterBackupList**](/postgres-sdk-ruby/models/clusterbackuplist.md)

### Authorization

basicAuth, tokenAuth

### HTTP request headers

* **Content-Type**: Not defined
* **Accept**: application/json

## clusters\_backups\_find\_by\_id

> clusters\_backups\_find\_by\_id(backup\_id)

Fetch a cluster backup

Retrieve a PostgreSQL cluster backup by using its ID. This value can be found when you GET a list of PostgreSQL cluster backups.

### Examples

```ruby
require 'time'
require 'ionoscloud-dbaas-postgres'
# setup authorization
IonoscloudDbaasPostgres.configure do |config|
  # Configure HTTP basic authorization: basicAuth
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'

  # Configure API key authorization: tokenAuth
  config.api_key['Authorization'] = 'YOUR API KEY'
  # Uncomment the following line to set a prefix for the API key, e.g. 'Bearer' (defaults to nil)
  # config.api_key_prefix['Authorization'] = 'Bearer'
end

api_instance = IonoscloudDbaasPostgres::BackupsApi.new
backup_id = 'backup_id_example' # String | The unique ID of the backup.

begin
  # Fetch a cluster backup
  result = api_instance.clusters_backups_find_by_id(backup_id)
  p result
rescue IonoscloudDbaasPostgres::ApiError => e
  puts "Error when calling BackupsApi->clusters_backups_find_by_id: #{e}"
end
```

#### Using the clusters\_backups\_find\_by\_id\_with\_http\_info variant

This returns an Array which contains the response data, status code and headers.

> \<Array(, Integer, Hash)> clusters\_backups\_find\_by\_id\_with\_http\_info(backup\_id)

```ruby
begin
  # Fetch a cluster backup
  data, status_code, headers = api_instance.clusters_backups_find_by_id_with_http_info(backup_id)
  p status_code # => 2xx
  p headers # => { ... }
  p data # => <BackupResponse>
rescue IonoscloudDbaasPostgres::ApiError => e
  puts "Error when calling BackupsApi->clusters_backups_find_by_id_with_http_info: #{e}"
end
```

### Parameters

| Name           | Type       | Description                  | Notes |
| -------------- | ---------- | ---------------------------- | ----- |
| **backup\_id** | **String** | The unique ID of the backup. |       |

### Return type

[**BackupResponse**](/postgres-sdk-ruby/models/backupresponse.md)

### Authorization

basicAuth, tokenAuth

### HTTP request headers

* **Content-Type**: Not defined
* **Accept**: application/json

## clusters\_backups\_get

> clusters\_backups\_get(opts)

List cluster backups

Retrieves a list of all PostgreSQL cluster backups.

### Examples

```ruby
require 'time'
require 'ionoscloud-dbaas-postgres'
# setup authorization
IonoscloudDbaasPostgres.configure do |config|
  # Configure HTTP basic authorization: basicAuth
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'

  # Configure API key authorization: tokenAuth
  config.api_key['Authorization'] = 'YOUR API KEY'
  # Uncomment the following line to set a prefix for the API key, e.g. 'Bearer' (defaults to nil)
  # config.api_key_prefix['Authorization'] = 'Bearer'
end

api_instance = IonoscloudDbaasPostgres::BackupsApi.new
opts = {
  limit: 100, # Integer | The maximum number of elements to return. Use together with 'offset' for pagination.
  offset: 200 # Integer | The first element to return. Use together with 'limit' for pagination.
}

begin
  # List cluster backups
  result = api_instance.clusters_backups_get(opts)
  p result
rescue IonoscloudDbaasPostgres::ApiError => e
  puts "Error when calling BackupsApi->clusters_backups_get: #{e}"
end
```

#### Using the clusters\_backups\_get\_with\_http\_info variant

This returns an Array which contains the response data, status code and headers.

> \<Array(, Integer, Hash)> clusters\_backups\_get\_with\_http\_info(opts)

```ruby
begin
  # List cluster backups
  data, status_code, headers = api_instance.clusters_backups_get_with_http_info(opts)
  p status_code # => 2xx
  p headers # => { ... }
  p data # => <ClusterBackupList>
rescue IonoscloudDbaasPostgres::ApiError => e
  puts "Error when calling BackupsApi->clusters_backups_get_with_http_info: #{e}"
end
```

### Parameters

| Name       | Type        | Description                                                                          | Notes                        |
| ---------- | ----------- | ------------------------------------------------------------------------------------ | ---------------------------- |
| **limit**  | **Integer** | The maximum number of elements to return. Use together with 'offset' for pagination. | \[optional]\[default to 100] |
| **offset** | **Integer** | The first element to return. Use together with 'limit' for pagination.               | \[optional]\[default to 0]   |

### Return type

[**ClusterBackupList**](/postgres-sdk-ruby/models/clusterbackuplist.md)

### Authorization

basicAuth, tokenAuth

### HTTP request headers

* **Content-Type**: Not defined
* **Accept**: application/json


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ionos.com/postgres-sdk-ruby/api/backupsapi.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
